# MTGA

MTG Decks

automagical heap:
not very good

engines of ooze:
very strong but has a nasty habit of timing out the turn and skipping the rest of the phases. there is currently a bug report open with wizards of the coast

evil engine number 9:
not very good

murder time:
lots of potential but it also times out the turn

sacraficial lambs:
see murder time

